@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    border: 0;
    box-sizing: border-box;
    font-family: "Inter", sans-serif;
    -webkit-tap-highlight-color: transparent;
    scrollbar-width: thin;
    scrollbar-color: rgba(100, 116, 139, 0.5) transparent;
}

ol,
ul {
    list-style: none;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

a {
    text-decoration: none;
}

a:visited {
    text-decoration: none;
}

html,
main {
    scroll-behavior: smooth;
}

body {
    display: flex;
    background-color: #f6f7f9;
    height: 100vh;
}

.container_menu_lateral {
    color: white;
    text-align: center;
    display: flex;
    flex-direction: column;
    background-color: #142952;
    width: 240px;
    min-width: 240px;
    height: 100%;
}

input:focus, textarea:focus {
    border: 1px solid #1e3a8a;
}


.div_nav_menu_lateral {
    display: flex;
    flex-direction: column;
    align-items: start;
    flex: 1;
    gap: 0.8rem;
    padding: 0.8rem;
}

.container_conteudo {
    display: flex;
    flex-direction: column;
    overflow: auto;
    flex: 1;
    width: 100%;
}

.div_header_conteudo {
    display: flex;
    align-items: center;
    background-color: white;
    border-bottom: 1px solid #dadee7;
    height: 60px;
    width: 100%;
    padding: 0.8rem;
}

.div_conteudo {
    display: flex;
    flex-direction: column;
    overflow: auto;
    width: 100%;
    flex: 1;
    padding: 1rem;
    gap: 1rem;
}

.icones_nav {
    color: #e0e4ebb3;
    width: 20px;
    height: 20px;
}

.logo_menu_lateral {
    display: flex;
    align-items: center;
    justify-content: center;
    object-fit: contain;
    border-bottom: 1px solid #dadee78a;
    height: 80px;
    font-size: 24px;
    width: 100%;
}

.nav_item_menu_lateral {
    display: flex;
    align-items: center;
    cursor: pointer;
    justify-content: space-between;
    color: #e0e4ebb3;
    width: 100%;
    border-radius: 12px;
    gap: 0.5rem;
    padding: 0.6rem;
    font-size: 14px;
}

.nav_item_menu_lateral:hover {
    background-color: #264073;
}

.div_footer_menu_lateral {
    display: flex;
    flex-direction: column;
    border-top: 1px solid #dadee78a;
    padding: 1rem 0.8rem;
    gap: 1rem;
}

.nav_item_menu_lateral.selecionado {
    background-color: #264073;
}

.nav_item_menu_lateral.selecionado svg {
    color: #98EEB9;
}

.nav_item_menu_lateral.selecionado span {
    color: white;
}

.div_perfil_menu_lateral {
    display: flex;
    align-items: center;
    color: #e0e4ebb3;
    background-color: #264073;
    cursor: pointer;
    width: 100%;
    border-radius: 12px;
    gap: 0.5rem;
    padding: 0.6rem;
    font-size: 14px;
}

.div_sair_menu_lateral {
    display: flex;
    align-items: center;
    cursor: pointer;
    color: #dc2828;
    width: 100%;
    border-radius: 12px;
    gap: 0.5rem;
    padding: 0.6rem;
    font-size: 14px;
}

.div_sair_menu_lateral:hover {
    background-color: rgba(220, 40, 40, 0.1);
}

.div_sair_menu_lateral svg {
    width: 20px;
    height: 20px;
}

.img_foto_perfil {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #0075ff;
    height: 40px;
    width: 40px;
    border-radius: 50%;
    font-weight: 600;
    font-size: 16px;
}

.div_nome_menu_lateral {
    display: flex;
    flex-direction: column;
    align-items: start;
}

.nome_menu_lateral {
    color: white;
}

.titulo_card {
    font-weight: 500;
    font-size: 16px;
}

.seta_selecionada {
    display: none;
}

.nav_item_menu_lateral.selecionado .seta_selecionada {
    display: block;
    color: white;
    width: 18px;
    height: 18px;
}

.div_bloco_menu_lateral {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.select_flecha {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding: 0.65rem 1rem;
    padding-right: 2.5rem;
    border-radius: 10px;
    font-size: 14px;
    background-color: #fff;
    color: #333;
    cursor: pointer;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    background-image: url(../img/flecha_select.png);
    background-repeat: no-repeat;
    background-position: right 0.8rem center;
    background-size: 12px;
    outline: none;
    flex: 1;
}

.icone_padrao {
    width: 20px;
    height: 20px;
}

.icone_menor {
    width: 18px;
    height: 18px;
}

.btn_edit_tabela {
    background-color: #1e3a8a;
    padding: 0.35rem;
    border-radius: 8px;
    width: fit-content;
    height: fit-content;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.btn_nivel_tabela {
    background-color: #334155;
    color: #ffffff;
    padding: 0.35rem;
    border-radius: 8px;
    width: fit-content;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.btn_excluir_tabela {
    background-color: #dc2626;
    color: #ffffff;
    padding: 0.35rem;
    border-radius: 8px;
    width: fit-content;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.btn_inativar_tabela {
    background-color: #f59e0b;
    color: #ffffff;
    padding: 0.35rem;
    border-radius: 8px;
    width: fit-content;
    height: fit-content;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.table-actions {
    display: flex;
    gap: 0.4rem;
    align-items: center;
}

.input_modal {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    background: #fff;
    padding: 0.65rem 0.8rem;
    border-radius: 10px;
    flex: 1;
    color: #333;
    outline: none;
    width: 100%;
    border: 1px solid rgba(0, 0, 0, 0.20);
}

.select_modal {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding: 0.65rem 1rem;
    padding-right: 2.5rem;
    border-radius: 10px;
    font-size: 14px;
    background-color: #fff;
    color: #333;
    cursor: pointer;
    background-image: url(../img/flecha_select.png);
    background-repeat: no-repeat;
    background-position: right 0.8rem center;
    background-size: 12px;
    outline: none;
    flex: 1;
    border: 1px solid rgba(0, 0, 0, 0.20);
}

.titulo_modal {
    font-weight: 600;
}

.btn_fechar_modal {
    padding: 0.6rem;
    background-color: #1e1f20;
    cursor: pointer;
    color: white;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    border-radius: 10px;
    font-size: 14px;
    font-weight: 500;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    flex: 1;
}

.btn_cadastrar{
    padding: 0.6rem;
    background-color: #142952;
    cursor: pointer;
    color: white;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 0.5rem;
    border-radius: 12px;
    font-size: 14px;
    font-weight: 500;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
}

.btn_cadastrar_modal {
    padding: 0.6rem;
    background-color: #1a3366;
    cursor: pointer;
    color: white;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    gap: 0.5rem;
    border-radius: 10px;
    font-size: 14px;
    font-weight: 500;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.btn_adicionar_modal {
    padding: 0.6rem;
    background-color: #22c55e;
    cursor: pointer;
    color: white;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    gap: 0.5rem;
    border-radius: 10px;
    font-size: 14px;
    font-weight: 500;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.btn_excluir_modal {
    padding: 0.6rem;
    background-color: #dc2626;
    cursor: pointer;
    color: white;
    outline: none;
    display: flex;
    align-items: center;
    justify-content: center;
    flex: 1;
    gap: 0.5rem;
    border-radius: 10px;
    font-size: 14px;
    font-weight: 500;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
}

.container_modal {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    pointer-events: none;
    transition: 0.3s opacity ease;
    opacity: 0;
    width: 100%;
    left: 0px;
    top: 0px;
    bottom: 0px;
    z-index: 5;
    background-color: rgba(0, 0, 0, 0.5);
}

.texto_nenhum_registro{
    text-align: center;
    margin: auto;
}

.conteudo_modal {
    background-color: #ffffff;
    border-radius: 12px;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
    width: 90%;
    max-width: 750px;
    box-sizing: border-box;
    max-height: 90%;
    overflow: auto;
    scrollbar-width: none;
}

.conteudo_modal_menor {
    background-color: #ffffff;
    border-radius: 12px;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
    max-width: 500px;
}

.tabela_ativo {
    background-color: #16a34a;
    padding: 0.35rem;
    border-radius: 8px;
    height: fit-content;
    color: #ffffff;
    display: block;
    width: 60px;
    text-align: center;
}

.tabela_inativo {
    background-color: #dc2626;
    padding: 0.35rem;
    border-radius: 8px;
    height: fit-content;
    color: #ffffff;
    display: block;
    width: 60px;
    text-align: center;
}

.container_submodal{
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    pointer-events: none;
    z-index: 6;
    transition: 0.3s opacity ease;
    opacity: 0;
    width: 100%;
    top: 0px;
    bottom: 0px;
    background-color: rgba(0, 0, 0, 0.5);
}

.conteudo_submodal{
    background-color: #ffffff;
    border-radius: 12px;
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 0.8rem;
    width: 100%;
    max-width: 600px;
}